using System;
using System.Web.Optimization;
using System.Web.Mvc;
using System.Web.Routing;
using LeafWeb.Core.DAL;
using LeafWeb.Web.App_Start;

namespace LeafWeb.Web
{
	public class MvcApplication : System.Web.HttpApplication
	{
		protected void Application_Start()
		{
			AreaRegistration.RegisterAllAreas();
			RouteConfig.RegisterRoutes(RouteTable.Routes);
			BundleConfig.RegisterBundles(BundleTable.Bundles);
			BootstrapEditorTemplatesConfig.RegisterBundles();

			DataService.RegisterInitializer();

			HangfireBootstrapper.Instance.Start();
		}

		protected void Application_End(object sender, EventArgs e)
		{
			HangfireBootstrapper.Instance.Stop();
		}
	}
}
